## libzdb 2.11.3

=== test/Makefile ===
# Makefile.in generated by automake 1.13.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2012 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/libzdb
pkgincludedir = $(includedir)/libzdb
pkglibdir = $(libdir)/libzdb
pkglibexecdir = $(libexecdir)/libzdb
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-apple-darwin12.3.0
host_triplet = x86_64-apple-darwin12.3.0
noinst_PROGRAMS = unit$(EXEEXT) pool$(EXEEXT) select$(EXEEXT) \
	exception$(EXEEXT)
subdir = test
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/ax_lib_oracle_oci.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_exception_OBJECTS = exception.$(OBJEXT)
exception_OBJECTS = $(am_exception_OBJECTS)
exception_LDADD = $(LDADD)
exception_DEPENDENCIES = ../libzdb.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_pool_OBJECTS = pool.$(OBJEXT)
pool_OBJECTS = $(am_pool_OBJECTS)
pool_LDADD = $(LDADD)
pool_DEPENDENCIES = ../libzdb.la
am_select_OBJECTS = select.$(OBJEXT)
select_OBJECTS = $(am_select_OBJECTS)
select_LDADD = $(LDADD)
select_DEPENDENCIES = ../libzdb.la
am_unit_OBJECTS = unit.$(OBJEXT)
unit_OBJECTS = $(am_unit_OBJECTS)
unit_LDADD = $(LDADD)
unit_DEPENDENCIES = ../libzdb.la
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(exception_SOURCES) $(pool_SOURCES) $(select_SOURCES) \
	$(unit_SOURCES)
DIST_SOURCES = $(exception_SOURCES) $(pool_SOURCES) $(select_SOURCES) \
	$(unit_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = aclocal-1.13
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = autoconf
AUTOHEADER = autoheader
AUTOMAKE = automake-1.13
AWK = awk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
CPP = gcc -E
CPPFLAGS = -I/Applications/Postgres.app/Contents/MacOS/include -I/usr/local/mysql/include 
CYGPATH_W = echo
DBCPPFLAGS =  -I/usr/local/mysql/include -I/Applications/Postgres.app/Contents/MacOS/include
DBLDFLAGS =  -L/usr/local/mysql/lib -lmysqlclient   -lpthread -L/Applications/Postgres.app/Contents/MacOS/lib -lpq
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = dsymutil
DUMPBIN = 
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FGREP = /usr/bin/grep -F
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/llvm-gcc-4.2/libexec/gcc/i686-apple-darwin11/4.2.1/ld
LDFLAGS = -L/Applications/Postgres.app/Contents/MacOS/lib -L/usr/local/mysql/lib -lmysqlclient   -lpthread 
LEX = flex
LEXLIB = -ll
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = -lsqlite3 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = lipo
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = makeinfo
MANIFEST_TOOL = :
MKDIR_P = ../config/install-sh -c -d
MYSQLCONFIG = /usr/local/mysql/bin/mysql_config
NM = /usr/bin/nm
NMEDIT = nmedit
OBJDUMP = false
OBJEXT = o
ORACLE_OCI_CFLAGS = 
ORACLE_OCI_LDFLAGS = 
ORACLE_OCI_VERSION = 
OTOOL = otool
OTOOL64 = :
PACKAGE = libzdb
PACKAGE_BUGREPORT = bugs-libzdb@tildeslash.com
PACKAGE_NAME = libzdb
PACKAGE_STRING = libzdb 2.11.3
PACKAGE_TARNAME = libzdb
PACKAGE_URL = 
PACKAGE_VERSION = 2.11.3
PATH_SEPARATOR = :
PGCONFIG = /Applications/Postgres.app/Contents/MacOS/bin/pg_config
RANLIB = ranlib
RE2C = /usr/bin/re2c
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UNIT_TEST = test
VERSION = 2.11.3
abs_builddir = /Users/hauk/src/libzdb/test
abs_srcdir = /Users/hauk/src/libzdb/test
abs_top_builddir = /Users/hauk/src/libzdb
abs_top_srcdir = /Users/hauk/src/libzdb
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-apple-darwin12.3.0
build_alias = 
build_cpu = x86_64
build_os = darwin12.3.0
build_vendor = apple
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-apple-darwin12.3.0
host_alias = 
host_cpu = x86_64
host_os = darwin12.3.0
host_vendor = apple
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/hauk/src/libzdb/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign no-dependencies
LDADD = ../libzdb.la
AM_CPPFLAGS = -I../src -I../src/util -I../src/net -I../src/db -I../src/exceptions
unit_SOURCES = unit.c
pool_SOURCES = pool.c
select_SOURCES = select.c
exception_SOURCES = exception.c
DISTCLEANFILES = *~ 
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list
exception$(EXEEXT): $(exception_OBJECTS) $(exception_DEPENDENCIES) $(EXTRA_exception_DEPENDENCIES) 
	@rm -f exception$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(exception_OBJECTS) $(exception_LDADD) $(LIBS)
pool$(EXEEXT): $(pool_OBJECTS) $(pool_DEPENDENCIES) $(EXTRA_pool_DEPENDENCIES) 
	@rm -f pool$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(pool_OBJECTS) $(pool_LDADD) $(LIBS)
select$(EXEEXT): $(select_OBJECTS) $(select_DEPENDENCIES) $(EXTRA_select_DEPENDENCIES) 
	@rm -f select$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(select_OBJECTS) $(select_LDADD) $(LIBS)
unit$(EXEEXT): $(unit_OBJECTS) $(unit_DEPENDENCIES) $(EXTRA_unit_DEPENDENCIES) 
	@rm -f unit$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(unit_OBJECTS) $(unit_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(AM_V_CC)$(COMPILE) -c $<

.c.obj:
	$(AM_V_CC)$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags

=== debian/changelog ===
libzdb (2.11.3-1ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:44:16 +0000

libzdb (2.11.3-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 17 Jan 2014 00:32:38 -0500

libzdb (2.11.3-1) unstable; urgency=low

  * New upstream release

 -- Jack Bates <jack@nottheoilrig.com>  Mon, 02 Sep 2013 23:29:00 +0000

libzdb (2.11.2-1) unstable; urgency=low

  * New upstream release

 -- Jack Bates <jack@nottheoilrig.com>  Sun, 02 Jun 2013 23:51:14 +0000

libzdb (2.10.2-1) unstable; urgency=low

  * upstream release

 -- Paul J Stevens <paul@nfg.nl>  Thu, 15 Mar 2012 08:12:29 +0000

libzdb (2.9-1) unstable; urgency=low

  * Initial release (Closes: #466699)

 -- Paul J Stevens <paul@nfg.nl>  Mon, 15 Aug 2011 07:36:40 +0000

=== debian/control ===
Source: libzdb
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jack Bates <jack@nottheoilrig.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, flex, libmysqlclient-dev, libpq-dev, libsqlite3-dev, re2c
Standards-Version: 3.9.4
Section: libs
Homepage: http://tildeslash.com/libzdb
Vcs-Git: https://github.com/jablko/debian.git
Vcs-Browser: https://github.com/jablko/debian/tree/master/libzdb

Package: libzdb-dev
Section: libdevel
Architecture: any
Depends: libzdb9 (= ${binary:Version})
Description: Zild Database Library
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception handling.
 Currently supports MySQL, Sqlite3 and PostgreSQL.

Package: libzdb9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Zild Database Library
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception handling.
 Currently supports MySQL, Sqlite3 and PostgreSQL.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode
#export DH_VERBOSE=1

%:
	dh $@  --with autoreconf

=== debian/watch ===
version=3
http://tildeslash.com/libzdb libzdb-(.*)\.tar\.gz

## libzdb 3.1

=== test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.13.1 from Makefile.am.
+# Makefile.in generated by automake 1.15 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2012 Free Software Foundation, Inc.
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -15,23 +15,61 @@
 
 
 
-am__make_dryrun = \
-  { \
-    am__dry=no; \
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
+am__make_running_with_option = \
+  case $${target_option-} in \
+      ?) ;; \
+      *) echo "am__make_running_with_option: internal error: invalid" \
+              "target option '$${target_option-}' specified" >&2; \
+         exit 1;; \
+  esac; \
+  has_opt=no; \
+  sane_makeflags=$$MAKEFLAGS; \
+  if $(am__is_gnu_make); then \
+    sane_makeflags=$$MFLAGS; \
+  else \
     case $$MAKEFLAGS in \
       *\\[\ \	]*) \
-        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
-          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
-      *) \
-        for am__flg in $$MAKEFLAGS; do \
-          case $$am__flg in \
-            *=*|--*) ;; \
-            *n*) am__dry=yes; break;; \
-          esac; \
-        done;; \
+        bs=\\; \
+        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
+          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     esac; \
-    test $$am__dry = yes; \
-  }
+  fi; \
+  skip_next=no; \
+  strip_trailopt () \
+  { \
+    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
+  }; \
+  for flg in $$sane_makeflags; do \
+    test $$skip_next = yes && { skip_next=no; continue; }; \
+    case $$flg in \
+      *=*|--*) continue;; \
+        -*I) strip_trailopt 'I'; skip_next=yes;; \
+      -*I?*) strip_trailopt 'I';; \
+        -*O) strip_trailopt 'O'; skip_next=yes;; \
+      -*O?*) strip_trailopt 'O';; \
+        -*l) strip_trailopt 'l'; skip_next=yes;; \
+      -*l?*) strip_trailopt 'l';; \
+      -[dEDm]) skip_next=yes;; \
+      -[JT]) skip_next=yes;; \
+    esac; \
+    case $$flg in \
+      *$$target_option*) has_opt=yes; break;; \
+    esac; \
+  done; \
+  test $$has_opt = yes
+am__make_dryrun = (target_option=n; $(am__make_running_with_option))
+am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
 pkgdatadir = $(datadir)/libzdb
 pkgincludedir = $(includedir)/libzdb
 pkglibdir = $(libdir)/libzdb
@@ -48,12 +86,11 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-apple-darwin12.3.0
-host_triplet = x86_64-apple-darwin12.3.0
+build_triplet = x86_64-apple-darwin14.5.0
+host_triplet = x86_64-apple-darwin14.5.0
 noinst_PROGRAMS = unit$(EXEEXT) pool$(EXEEXT) select$(EXEEXT) \
 	exception$(EXEEXT)
 subdir = test
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
 	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
@@ -62,6 +99,7 @@
 	$(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/src/xconfig.h
 CONFIG_CLEAN_FILES =
@@ -148,23 +186,28 @@
   done | $(am__uniquify_input)`
 ETAGS = etags
 CTAGS = ctags
+am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = aclocal-1.13
+ACLOCAL = ${SHELL} /Users/hauk/src/libzdb/config/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = autoconf
-AUTOHEADER = autoheader
-AUTOMAKE = automake-1.13
+AUTOCONF = ${SHELL} /Users/hauk/src/libzdb/config/missing autoconf
+AUTOHEADER = ${SHELL} /Users/hauk/src/libzdb/config/missing autoheader
+AUTOMAKE = ${SHELL} /Users/hauk/src/libzdb/config/missing automake-1.15
 AWK = awk
 CC = gcc
 CCDEPMODE = depmode=none
-CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wall -Wunused -Wno-unused-label -funsigned-char -D_GNU_SOURCE -std=c99
+CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wall -Wunused -Wno-unused-label -funsigned-char -std=gnu99
 CPP = gcc -E
-CPPFLAGS = -I/Applications/Postgres.app/Contents/MacOS/include -I/usr/local/mysql/include 
+CPPFLAGS = -I/Applications/Postgres.app/Contents/Versions/9.3/include -I/usr/local/mysql/include 
+CXX = g++
+CXXCPP = g++ -E
+CXXDEPMODE = depmode=none
+CXXFLAGS = -g -O2
 CYGPATH_W = echo
-DBCPPFLAGS =  -I/usr/local/mysql/include -I/Applications/Postgres.app/Contents/MacOS/include
-DBLDFLAGS =  -L/usr/local/mysql/lib -lmysqlclient   -lpthread -L/Applications/Postgres.app/Contents/MacOS/lib -lpq
+DBCPPFLAGS =  -I/usr/local/mysql/include -I/Applications/Postgres.app/Contents/Versions/9.3/include
+DBLDFLAGS =  -L/usr/local/mysql/lib -lmysqlclient -L/Applications/Postgres.app/Contents/Versions/9.3/lib -lpq
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = false
@@ -182,8 +225,8 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-LD = /usr/llvm-gcc-4.2/libexec/gcc/i686-apple-darwin11/4.2.1/ld
-LDFLAGS = -L/Applications/Postgres.app/Contents/MacOS/lib -L/usr/local/mysql/lib -lmysqlclient   -lpthread 
+LD = /Applications/Xcode-beta.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/ld
+LDFLAGS = -L/Applications/Postgres.app/Contents/Versions/9.3/lib -L/usr/local/mysql/lib -lmysqlclient 
 LEX = flex
 LEXLIB = -ll
 LEX_OUTPUT_ROOT = lex.yy
@@ -193,7 +236,8 @@
 LIPO = lipo
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = makeinfo
+LT_SYS_LIBRARY_PATH = 
+MAKEINFO = ${SHELL} /Users/hauk/src/libzdb/config/missing makeinfo
 MANIFEST_TOOL = :
 MKDIR_P = ../config/install-sh -c -d
 MYSQLCONFIG = /usr/local/mysql/bin/mysql_config
@@ -209,26 +253,27 @@
 PACKAGE = libzdb
 PACKAGE_BUGREPORT = bugs-libzdb@tildeslash.com
 PACKAGE_NAME = libzdb
-PACKAGE_STRING = libzdb 2.11.3
+PACKAGE_STRING = libzdb 3.1
 PACKAGE_TARNAME = libzdb
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.11.3
+PACKAGE_VERSION = 3.1
 PATH_SEPARATOR = :
-PGCONFIG = /Applications/Postgres.app/Contents/MacOS/bin/pg_config
+PGCONFIG = /Applications/Postgres.app/Contents/Versions/9.3/bin/pg_config
 RANLIB = ranlib
-RE2C = /usr/bin/re2c
+RE2C = /opt/local/bin/re2c
 SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/sh
 STRIP = strip
 UNIT_TEST = test
-VERSION = 2.11.3
+VERSION = 3.1
 abs_builddir = /Users/hauk/src/libzdb/test
 abs_srcdir = /Users/hauk/src/libzdb/test
 abs_top_builddir = /Users/hauk/src/libzdb
 abs_top_srcdir = /Users/hauk/src/libzdb
 ac_ct_AR = ar
 ac_ct_CC = gcc
+ac_ct_CXX = g++
 ac_ct_DUMPBIN = 
 am__include = include
 am__leading_dot = .
@@ -236,10 +281,10 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = x86_64-apple-darwin12.3.0
+build = x86_64-apple-darwin14.5.0
 build_alias = 
 build_cpu = x86_64
-build_os = darwin12.3.0
+build_os = darwin14.5.0
 build_vendor = apple
 builddir = .
 datadir = ${datarootdir}
@@ -247,10 +292,10 @@
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = x86_64-apple-darwin12.3.0
+host = x86_64-apple-darwin14.5.0
 host_alias = 
 host_cpu = x86_64
-host_os = darwin12.3.0
+host_os = darwin14.5.0
 host_vendor = apple
 htmldir = ${docdir}
 includedir = ${prefix}/include
@@ -299,7 +344,6 @@
 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
 	$(am__cd) $(top_srcdir) && \
 	  $(AUTOMAKE) --foreign test/Makefile
-.PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 	@case '$?' in \
 	  *config.status*) \
@@ -325,61 +369,3 @@
 	test -n "$(EXEEXT)" || exit 0; \
 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
 	echo " rm -f" $$list; \
-	rm -f $$list
-exception$(EXEEXT): $(exception_OBJECTS) $(exception_DEPENDENCIES) $(EXTRA_exception_DEPENDENCIES) 
-	@rm -f exception$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(exception_OBJECTS) $(exception_LDADD) $(LIBS)
-pool$(EXEEXT): $(pool_OBJECTS) $(pool_DEPENDENCIES) $(EXTRA_pool_DEPENDENCIES) 
-	@rm -f pool$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(pool_OBJECTS) $(pool_LDADD) $(LIBS)
-select$(EXEEXT): $(select_OBJECTS) $(select_DEPENDENCIES) $(EXTRA_select_DEPENDENCIES) 
-	@rm -f select$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(select_OBJECTS) $(select_LDADD) $(LIBS)
-unit$(EXEEXT): $(unit_OBJECTS) $(unit_DEPENDENCIES) $(EXTRA_unit_DEPENDENCIES) 
-	@rm -f unit$(EXEEXT)
-	$(AM_V_CCLD)$(LINK) $(unit_OBJECTS) $(unit_LDADD) $(LIBS)
-
-mostlyclean-compile:
-	-rm -f *.$(OBJEXT)
-
-distclean-compile:
-	-rm -f *.tab.c
-
-.c.o:
-	$(AM_V_CC)$(COMPILE) -c $<
-
-.c.obj:
-	$(AM_V_CC)$(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-.c.lo:
-	$(AM_V_CC)$(LTCOMPILE) -c -o $@ $<
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-
-ID: $(am__tagged_files)
-	$(am__define_uniq_tagged_files); mkid -fID $$unique
-tags: tags-am
-TAGS: tags
-
-tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
-	set x; \
-	here=`pwd`; \
-	$(am__define_uniq_tagged_files); \
-	shift; \
-	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  if test $$# -gt 0; then \
-	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	      "$$@" $$unique; \
-	  else \
-	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	      $$unique; \
-	  fi; \
-	fi
-ctags: ctags-am
-
-CTAGS: ctags

=== debian/changelog ===
libzdb (3.1-0.3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:56:30 +0000

libzdb (3.1-0.3ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - d/p/mysql-8.0: backport changes required for MySQL 8.0 support to fix
      FTBFS.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Mar 2024 13:30:39 +0100

libzdb (3.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062740

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:26:07 +0000

libzdb (3.1-0.2ubuntu1) eoan; urgency=medium

  * d/p/mysql-8.0: backport changes required for MySQL 8.0 support to fix
    FTBFS.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 16 Jul 2019 09:46:17 +0000

libzdb (3.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Vcs-Browser URL and fix default-libmysqlclient-dev
    (Closes: #845869)
  * Fix debian/watch uscan error
  * Add Multi-Arch headers
  * Bump debhelper Build-Depends to >= 10

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2016 11:00:41 +0100

libzdb (3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported Upstream version 3.1
  * Remove bitrot from debian/ directory (Closes: #735949)
  * Remove extra -L to unbreak mips* (Closes: #723470)
  * Rename libzdb9 to libzdb11 to match SOVERSION
  * Update libzdb11 symbols
  * Add jquery 1.7.1 missing sources
  * Add missing ${misc:Depends} to libzdb-dev

 -- Ondřej Surý <ondrej@debian.org>  Tue, 05 Apr 2016 20:46:54 +0200

=== debian/control ===
Source: libzdb
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jack Bates <jack@nottheoilrig.com>
Build-Depends: dpkg-dev (>= 1.22.5), autotools-dev,
               debhelper (>= 10),
               dh-autoreconf,
               flex,
               default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
               libpq-dev,
               libsqlite3-dev,
               re2c
Standards-Version: 3.9.8
Section: libs
Homepage: http://tildeslash.com/libzdb
Vcs-Git: git://anonscm.debian.org/collab-maint/libzdb.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libzdb.git

Package: libzdb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libzdb11t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Zild Database Library [devel]
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception
 handling.  Currently supports MySQL, Sqlite3 and PostgreSQL.

Package: libzdb11t64
Provides: ${t64:Provides}
Replaces: libzdb11
Breaks: libzdb11 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Zild Database Library [runtime]
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception
 handling.  Currently supports MySQL, Sqlite3 and PostgreSQL.

=== debian/watch ===
version=3
http://tildeslash.com/libzdb/dist/ \
  libzdb-(.*)\.tar\.gz

## libzdb 3.2.3

=== debian/changelog ===
libzdb (3.2.3-3) unstable; urgency=medium

  * Refresh previous patch to fix the time_t problem again.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Jul 2024 21:51:21 -0400

libzdb (3.2.3-2) unstable; urgency=medium

  * debian/patches/0003-Fix-32-bit-time_t-problem-1075782.patch: Apply
    patch from upstream to fix build on 32-bit 2038-safe architecture.
    (Closes: #1075782)

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jul 2024 21:37:12 -0400

libzdb (3.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    + Bump Standards-Version to 4.7.0.
    + Bump debhelper compat to v13.
    + Apply "wrap-and-sort -abst".
  * Rename binary packages following SONAME bump:
    libzdb11t64 => libzdb13.
  * debian/copyright: Use SPDX-compatible license names. Also document
    the OpenSSL exception in SPDX syntax. (Closes: #951912)
  * debian/copyright: Rewrite and confirm license information.
  * debian/watch: Upgrade file format to v4.
  * debian/libzdb13.symbols: Re-init symbols.
  * debian/not-installed: Do not install .la files.
  * debian/patches/0002-Always-use-config-dir-for-m4-macros.patch:
    Add patch to workaround FTBFS during configure step due to buggy
    macro lookup directory.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jun 2024 18:54:51 -0400

libzdb (3.1-1) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1072291)
  * debian/control: Update Vcs-* fields to use Debian Salsa GitLab.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jun 2024 16:03:35 -0400

=== debian/control ===
Source: libzdb
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
 dpkg-dev (>= 1.22.5),
 flex,
 libpq-dev,
 libsqlite3-dev,
 re2c,
Standards-Version: 4.7.0
Homepage: http://tildeslash.com/libzdb
Vcs-Git: https://salsa.debian.org/debian/libzdb.git
Vcs-Browser: https://salsa.debian.org/debian/libzdb

Package: libzdb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libzdb13 (= ${binary:Version}),
 ${misc:Depends},
Description: Zild Database Library [devel]
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception
 handling.  Currently supports MySQL, Sqlite3 and PostgreSQL.

Package: libzdb13
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Zild Database Library [runtime]
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception
 handling.  Currently supports MySQL, Sqlite3 and PostgreSQL.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

## libzdb 3.4.0

=== debian/changelog ===
libzdb (3.4.0-3build1) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:47:33 -0500

libzdb (3.4.0-3) unstable; urgency=medium

  * QA upload.
  * Really update package maintainer information.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Nov 2024 16:20:01 -0500

libzdb (3.4.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1087203)
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Nov 2024 11:06:13 -0500

libzdb (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * SONAME Bump: libzdb15 => libzdb16.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Aug 2024 15:59:55 -0400

libzdb (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0003: Dropped, merged upstream.
  * SONAME Bump: libzdb13 => libzdb15.
  * debian/libzdb15.symbols: Refreshed.
  * debian/rules: Enable --enable-sqliteunlock functionality.

 -- Boyuan Yang <byang@debian.org>  Sat, 27 Jul 2024 09:17:05 -0400

=== debian/control ===
Source: libzdb
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
 dpkg-dev (>= 1.22.5),
 flex,
 libpq-dev,
 libsqlite3-dev,
 re2c,
Standards-Version: 4.7.0
Homepage: http://tildeslash.com/libzdb
Vcs-Git: https://salsa.debian.org/debian/libzdb.git
Vcs-Browser: https://salsa.debian.org/debian/libzdb
Description: Zild Database Library
 A small and easy to use database API written in C.
 .
 This library provides thread safe connection pooling and exception
 handling.  Currently supports MySQL, Sqlite3 and PostgreSQL.

Package: libzdb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libzdb16 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} [devel]
 ${source:Extended-Description}

Package: libzdb16
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} [runtime]
 ${source:Extended-Description}

## libzdb 3.4.1

=== debian/changelog ===
libzdb (3.4.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * SONAME Bump: libzdb16 => libzdb17.
  * debian/libzdb17.symbols: Add Build-Depends-Package field.
  * debian/control: Drop libmysqlclient-dev from optional build-dep list.
  * debian/libzdb17.symbols: Updated.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 19:54:15 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- default-libmysqlclient-dev | libmysqlclient-dev (<< 5.7),
+ default-libmysqlclient-dev,
  dpkg-dev (>= 1.22.5),
  flex,
  libpq-dev,
  libsqlite3-dev,
  re2c,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://tildeslash.com/libzdb
 Vcs-Git: https://salsa.debian.org/debian/libzdb.git
 Vcs-Browser: https://salsa.debian.org/debian/libzdb
@@ -25,12 +25,12 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libzdb16 (= ${binary:Version}),
+ libzdb17 (= ${binary:Version}),
  ${misc:Depends},
 Description: ${source:Synopsis} [devel]
  ${source:Extended-Description}
 
-Package: libzdb16
+Package: libzdb17
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,8 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	        --enable-sqliteunlock \
+	        $(NULL)

=== debian/watch ===
version=4
opts="" \
 http://tildeslash.com/libzdb/dist/ libzdb-(.*)\.tar\.gz
